### Enumeration

# Qmi NasHdrPersonality

since: 1.0

#### Declaration

    enum Qmi.NasHdrPersonality

#### Description [src]

HDR personality type.

Available since: 1.0

#### Members

`QMI_NAS_HDR_PERSONALITY_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_HDR_PERSONALITY_HRPD`

  HRPD.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_HDR_PERSONALITY_EHRPD`

  EHRPD.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### qmi_nas_hdr_personality_get_string

Gets the nickname string for the `QmiNasHdrPersonality` specified at `val`.

since: 1.0